[Libreoffice-commits] buildbot.git: 2 commits - tb/tb_internals.sh tb/tb_phases.sh
Norbert Thiebaud
nthiebaud at gmail.com
Sun May 19 20:31:16 PDT 2013
tb/tb_internals.sh | 2 +-
tb/tb_phases.sh | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
New commits:
commit eaf6632b02a636ce3b3b18f0ec17fe312d2c057c
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date: Sun May 19 22:30:50 2013 -0500
tb: add MAKE_RESTARTS=1 to clean phase to avoid make bug with shell trap
diff --git a/tb/tb_phases.sh b/tb/tb_phases.sh
index 00b9fd0..34c4e14 100644
--- a/tb/tb_phases.sh
+++ b/tb/tb_phases.sh
@@ -57,7 +57,7 @@ pre_clean()
canonical_do_clean()
{
if [ "${R}" = "0" ] ; then
- if ! ${TB_NICE} ${TB_WATCHDOG} ${MAKE?} -sr clean > "tb_${P?}_clean.log" 2>&1 ; then
+ if ! ${TB_NICE} ${TB_WATCHDOG} ${MAKE?} MAKE_RESTARTS=1 -sr clean > "tb_${P?}_clean.log" 2>&1 ; then
tb_REPORT_LOG="tb_${P?}_clean.log"
tb_REPORT_MSGS="cleaning up failed - error is:"
R=1
commit c3890c664b90d8b31c82647cda4e832b65309dbc
Author: Norbert Thiebaud <nthiebaud at gmail.com>
Date: Sun May 19 21:10:03 2013 -0500
tb: confusion with TB_MODE, used to deal with priority, renamed
diff --git a/tb/tb_internals.sh b/tb/tb_internals.sh
index 84a82ea..9f08379 100644
--- a/tb/tb_internals.sh
+++ b/tb/tb_internals.sh
@@ -871,7 +871,7 @@ run_next_task()
fi
P=
done
- if [ "${TB_MODE}" = "fair" ] ; then
+ if [ "${TB_SCHEDULING}" = "fair" ] ; then
if [ -n "$P" -a "${R}" = "0" ] ; then
rotate_active_profiles "${P?}"
fi
More information about the Libreoffice-commits
mailing list